function [LogL, Vo] = fLogL_Joint1(par,y,rk,rt,mh,mH)

	H = mH(:,1); U = mH(:,2); Z = mH(:,3);
	h = mh(:,1); u = mh(:,2); z = mh(:,3);

    [rhot, ut] = fFilter_realRhoc(par,rt,size(rt,1));
	
	sig_u0u1  = mean(U.*u);
    sig2_u0v1 = mean(U.*ut); 
    sig2_u0   = mean(U.^2); 

	E = [u ut] - [sig_u0u1/sig2_u0*U sig2_u0v1/sig2_u0*U];

	lndet = log(det(E'*E/size(E,1)));
    
	l = -1*( log((1-rhot.^2).*h) + ((y-rhot.*sqrt(h).*Z).^2)./((1-rhot.^2).*h) + lndet + 2);

   	rhot(1,1) = InvFisher(par(1));

    LogL = -sum(l(1:end,1));

    Vo   = [rhot ut];
    
end