function [LogL, Vo1, Vo2] = fLogL_Joint2(par,y,rk,rt,mH)

    npVol = 11;
    mu1   = par(2);

	H = mH(:,1); U = mH(:,2); Z = mH(:,3);

    [h, z, u]  = fFilter_RealLogEGARCH_wH([par(1:9) 1 par(10:npVol)],y,rk,H,size(y,1));
    [rhot, ut] = fFilter_realRhoc(par(npVol+1:end),rt,size(rt,1));
    
	sig_u0u1  = mean(U.*u);
    sig2_u0v1 = mean(U.*ut); 
    sig2_u0   = mean(U.^2); 

	E = [u ut] - [sig_u0u1/sig2_u0*U sig2_u0v1/sig2_u0*U];

    lndet = log(det(E'*E/size(E,1)));

	l = -1*( log((1-rhot.^2).*h) + ((y-mu1-rhot.*sqrt(h).*Z).^2)./((1-rhot.^2).*h) + lndet + 2);

   	rhot(1,1) = InvFisher(par(npVol+1));

    LogL = -sum(l(1:end,1));

    Vo1  = [rhot ut];

    Vo2  = [h u z Z ((z-rhot.*Z)./sqrt(1-rhot.^2))];
    
end